## org.eclipse.datatools.sqltools.core
Class ConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.sqltools.core.ConnectionException

All Implemented Interfaces:
  java.io.Serializable

public class ConnectionException
extends java.lang.Exception

Exceptions related to IControlConnection

Author:
  Yang Liu, Hui Cao
See Also:
  Serialized Form

Field Summary
`static int` `CONVERTCONNID_FAIL` Error code constant that indicates the internal id of the debuggee connection can't be obtained.
`static int` `DUPLICATE_DEBUGGEE` Error code constant that indicates a debuggee is attached more than once.

Constructor Summary
`ConnectionException(int code, java.lang.String message)`
`ConnectionException(int code, java.lang.String message, java.lang.Throwable cause)`
`ConnectionException(int code, java.lang.Throwable cause)`

Method Summary
`int` `getCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUPLICATE_DEBUGGEE

    public static final int DUPLICATE_DEBUGGEE

  Error code constant that indicates a debuggee is attached more than once.

  See Also:
    Constant Field Values

### CONVERTCONNID_FAIL

    public static final int CONVERTCONNID_FAIL

  Error code constant that indicates the internal id of the debuggee connection can't be obtained.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionException

    public ConnectionException(int code,
                               java.lang.String message)

Parameters:
  `code` - error code
  `message` - the detail message (which is saved for later retrieval by the getMessage() method).

### ConnectionException

    public ConnectionException(int code,
                               java.lang.Throwable cause)

Parameters:
  `code` - error code
  `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### ConnectionException

    public ConnectionException(int code,
                               java.lang.String message,
                               java.lang.Throwable cause)

Parameters:
  `code` - error code
  `message` - the detail message (which is saved for later retrieval by the getMessage() method).
  `cause` - the cause (which is saved for later retrieval by the getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getCode

    public int getCode()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.